Search the Community
Showing results for tags 'page'.
-
Is there any way to add more options, such as 50, 80, 100, etc. regarding the number of posts seen per page? Thanks.
-
Removing all objects not on current page layout AutoCad LT 2013 and LT 2014
stevenwheatley posted a topic in AutoCAD LT
Hello, I work for a practice of landscape architects. On the project I'm working on we have a series of drawings covering the site layout or construction details. Each drawing will issue corresponds to a page layout. When we issue revised drawings to the contractor as PDFs we also need to issue DWGs to the other members of the design team. I bind any xrefs and remove all unrelated page layouts... however, the DWG is still very large and most importantly the model space still contains a lot of extra, unnecessary information. It's just not cost effective to manually strip away objects that won't be visible in the page layout. Is there a way to delete all objects from layers that are frozen or not visible, or all objects that are visible but do not appear within the viewports on the current page layout? I already PURGE and -PURGE RegApps to reduce some clutter and reduce file size. Oh - I've also tried the Export Layout tool. This frequently crashes with a fatal error and when it does work, the resulting model is in page units and looses it's "position" in the real world. We're using both LT 2013 and LT 2014. I think we have access to a version of AutoCad Map 3d 2013. Thanks for your time in reading this! -
I've been reading through this detailed thread http://www.cadtutor.net/forum/showpost.php?p=271362&postcount=8 Well... I grabbed one of the snippets of code from the thread referenced above. It works perfectly. I deleted this.. ;; (vl-cmdf "_.pasteclip" "0,0") Since Lee Mac didn't know why it was in there in the first place. It does a very bad thing if anything is on your clipboard!! :-\ My question is how do I assign the "model space" setup to model space? It is called "11x17 Model Space" I'm one step away... :-| (defun c:PJM (/ *error* AT:PageSetups SetPSAllLayouts vl ov) (vl-load-com) (defun *error* (msg) (and ov (mapcar 'setvar vl ov)) (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*") (princ (strcat "\n** Error: " msg " **"))) (princ)) (setq *acad* (cond (*acad*) ((vlax-get-acad-object))) *doc* (cond (*doc) ((vla-get-ActiveDocument *acad*)))) ;;; Insert all Page Setups into drawing (will overwrite if exists) ;;; #DrawingFile - name of DWG file from which to import ;;; Alan J. Thompson, 07.29.09 (defun AT:PageSetups (#layout1) (if (findfile #layout1) (progn (command "_.psetupin" (findfile #layout1) "*") (while (wcmatch (getvar "cmdnames") "*PSETUPIN*") (command "_yes")) T))) (defun SetPSAllLayouts (setup / doc) (if (not (vl-catch-all-error-p (setq setup (vl-catch-all-apply (function vla-item) (list (vla-get-PlotConfigurations (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))) setup))))) (vlax-map-collection (vla-get-layouts doc) (function (lambda (x) (if (eq :vlax-false (vla-get-Modeltype x)) (vla-CopyFrom x setup))))))) (setq vl '("CMDECHO" "OSMODE") ov (mapcar 'getvar vl)) (mapcar 'setvar vl '(0 0)) ;; ------------ Start Here ----------------------------- (AT:PageSetups "H:\\Publish Setups.dwg") ;; Change this if necessary (repeat 3 (vla-purgeall *doc*)) (setPSAllLayouts "RP BORDER") (vla-ZoomExtents *acad*) (if (eq "" (vla-get-FullName *doc*)) (vla-saveas *doc* (strcat (vla-get-Path *doc*) "\\" (vla-get-name *doc*))) (vla-save *doc*)) ;; ------------ End Here ----------------------------- (mapcar 'setvar vl ov) (princ)) PLEASE HELP!!
-
Import page setup information automatically
hosannabizarre posted a topic in AutoLISP, Visual LISP & DCL
Currently I use a lisp file to import page setup information, which brings in previously configured plot set up information (as found in a specified drawing template). page_setups.lsp... (DEFUN C:PSN () (command "._-PSETUPIN" "W:/Library/Acad Setup/Page_Setup_Template/page_setup_template.dwg" "*")) Although I have "page_setups.lsp" identified in my startup suite of applications to load, I still have to type "PSN" to import page setup info. Typing these three letters is tiring my fingers out. Can I build the import instruction into accaddoc.lsp so that I don't have to keep typing PSN, so that it autoloads (and imports) with every session / drawing?? Cheeeeeeeeeers, hosannabizarre